[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TWriter.FlushBuffer

Flush the buffer

## Declaration

Source position: classesh.inc line 1573

`public procedure TWriter.FlushBuffer; override;`

## Description

FlushBuffer flushes the buffer. It is provided for Delphi compatibility, and is not used in FPC.

## See also

TFiler.FlushBuffer |  | Flush the buffer
TBinaryObjectWriter.FlushBuffer |  | Flush the buffer
TAbstractObjectWriter.FlushBuffer |  | Flush the buffer